API Reference
Every operation on the API-key allowlist (129 endpoints). Each page lists parameters, scopes, and
example requests in cURL, Python, JavaScript, and Go. The raw spec is at
/openapi.json (OpenAPI 3.1) for code generators and Postman.
Base URL
All paths are relative to https://api.dogabot.com and live under /api/v1.
Authentication
Send Authorization: Bearer dbk_live_… on every request. Each endpoint lists the scope it needs; writes
also need an Idempotency-Key. See Auth & scopes and Errors.
Bash Who am I
curl -H "Authorization: Bearer $DOGABOT_API_KEY" https://api.dogabot.com/api/v1/me Endpoints
Account
get
/api/v1/me Current user profile for the API key owner get /api/v1/me/statistics Aggregated account statistics get /api/v1/me/positions Open positions across automations get /api/v1/me/position-legs Position legs across automations get /api/v1/me/available-cash Free stable cash across credential venues get /api/v1/me/orders Recent orders for the account get /api/v1/me/signals Recent signals for the account get /api/v1/me/emitters Emitters owned by the account (terminal leader list) post /api/v1/me/emitters/summary Filtered summary of owned emitters get /api/v1/me/statistics/by-tag Account statistics by tag Ask AI
get
/api/v1/ai/chat/quota Ask AI daily quota get /api/v1/ai/chat/conversations List Ask AI conversations post /api/v1/ai/chat/conversations Create Ask AI conversation get /api/v1/ai/chat/conversations/{id} Get Ask AI conversation post /api/v1/ai/chat/conversations/{id}/messages Send Ask AI message post /api/v1/ai/chat/conversations/{id}/tools/{call_id}/confirm Confirm Ask AI tool call Automations
post
/api/v1/automations/summary Filtered summary of automations post /api/v1/automations/status-counts Running/stopped totals for automations post /api/v1/automations/summary/by-ids Batch automation summaries by typed ids get /api/v1/followers List followers post /api/v1/followers Create a follower get /api/v1/followers/{id} Get a follower patch /api/v1/followers/{id} Update a follower del /api/v1/followers/{id} Delete a follower post /api/v1/followers/summary Filtered follower summaries get /api/v1/followers/summary/{id} Follower summary by id get /api/v1/followers/{id}/pnl-series Follower PnL series get /api/v1/followers/{id}/position Follower position get /api/v1/bots List bots post /api/v1/bots Create a bot get /api/v1/bots/{id} Get a bot patch /api/v1/bots/{id} Update a bot del /api/v1/bots/{id} Delete a bot post /api/v1/bots/summary Filtered bot summaries get /api/v1/bots/{id}/pnl-series Bot PnL series get /api/v1/bots/{id}/position Bot position get /api/v1/emitters List emitters post /api/v1/emitters Create an emitter get /api/v1/emitters/{id} Get an emitter patch /api/v1/emitters/{id} Update an emitter del /api/v1/emitters/{id} Delete an emitter post /api/v1/emitters/summary Filtered emitter summaries get /api/v1/emitters/summary/{id} Emitter summary by id get /api/v1/emitters/curated Curated emitters get /api/v1/emitters/{id}/pnl-series Emitter PnL series get /api/v1/emitters/{id}/position Emitter position get /api/v1/portfolios List portfolios post /api/v1/portfolios Create a portfolio get /api/v1/portfolios/{id} Get a portfolio patch /api/v1/portfolios/{id} Update a portfolio del /api/v1/portfolios/{id} Delete a portfolio post /api/v1/portfolios/summary Filtered portfolio summaries get /api/v1/portfolios/{id}/pnl-series Portfolio PnL series get /api/v1/portfolios/{id}/positions Portfolio positions get /api/v1/tags List automation tags post /api/v1/tags Create an automation tag post /api/v1/followers/{id}/start Start a follower post /api/v1/followers/{id}/stop Stop a follower post /api/v1/bots/{id}/start Start a bot post /api/v1/bots/{id}/stop Stop a bot post /api/v1/bots/{id}/books Set a bot book leg post /api/v1/followers/{id}/books Set a follower book leg post /api/v1/emitters/{id}/start Start an emitter post /api/v1/emitters/{id}/stop Stop an emitter post /api/v1/portfolios/{id}/start Start a portfolio post /api/v1/portfolios/{id}/stop Stop a portfolio put /api/v1/followers/{id}/tags Replace follower tags put /api/v1/bots/{id}/tags Replace bot tags put /api/v1/emitters/{id}/tags Replace emitter tags put /api/v1/portfolios/{id}/tags Replace portfolio tags patch /api/v1/tags/{id} Update an automation tag del /api/v1/tags/{id} Delete an automation tag Backtests
get
/api/v1/backtest/quota Backtest quota get /api/v1/backtests List backtests get /api/v1/backtests/summary Summarize a backtest batch get /api/v1/backtest/community-examples List Community examples get /api/v1/backtest/{job_id} Get a backtest job get /api/v1/backtest/{job_id}/signals Backtest trade history / signals get /api/v1/backtest/bulk/seed Seed a bulk sweep from a source get /api/v1/backtest/bulk/batches List bulk backtest batches get /api/v1/backtest/bulk/batches/{batch_id} Get a bulk backtest batch post /api/v1/backtest Create a backtest post /api/v1/backtest/bulk Create a bulk backtest batch post /api/v1/backtest/bulk/batches/{batch_id}/rerun Re-run a bulk backtest batch post /api/v1/backtest/bulk/batches/{batch_id}/cancel Cancel a bulk backtest batch post /api/v1/backtest/{job_id}/cancel Cancel a backtest post /api/v1/backtest/{job_id}/community-example Publish a Community example patch /api/v1/backtest/{job_id}/community-example Update a Community example del /api/v1/backtest/{job_id}/community-example Unpublish a Community example Credentials
get
/api/v1/credentials List exchange credentials (masked) post /api/v1/credentials Create an exchange credential put /api/v1/credentials/{id} Update or rotate a credential del /api/v1/credentials/{id} Delete an exchange credential post /api/v1/credentials/{id}/default Set default credential for exchange Markets
get
/api/v1/ticker Latest ticker get /api/v1/funding-rate Latest perpetual funding rate get /api/v1/market/orderbook Order book snapshot get /api/v1/market/trades Public trades tape get /api/v1/markets List markets get /api/v1/markets/asset-profile Asset profile encyclopedia get /api/v1/market-types List market types get /api/v1/marketplace/search Search marketplace listings get /api/v1/marketplace/sellers/{handle} Marketplace seller by handle get /api/v1/datafeed/history OHLCV candles post /api/v1/markets/symbol-correlation Symbol return correlation post /api/v1/markets/symbol-volatility Symbol return volatility post /api/v1/markets/symbol-fee-breakeven Symbol fee breakeven Orders
Signals
Terminal
get
/api/v1/exchanges List exchanges get /api/v1/terminal/orders Terminal orders get /api/v1/terminal/orders/by-client-order-id/{client_order_id} Terminal order by client_order_id get /api/v1/terminal/positions Terminal positions get /api/v1/terminal/symbol-rules Min notional, lot size, and quantity rules get /api/v1/terminal/order-capabilities Venue-native order capabilities get /api/v1/exchange/balances Live exchange wallet snapshot get /api/v1/exchange/positions Live exchange positions get /api/v1/exchange/margin-summary Live futures margin summary get /api/v1/exchange/orders Live exchange orders get /api/v1/exchange/trades Live exchange trades get /api/v1/exchange/income Live exchange income history get /api/v1/exchange/openable-notional Remaining openable notional get /api/v1/exchange/leverage-capabilities Leverage and margin-mode capabilities post /api/v1/exchange/leverage Set exchange leverage post /api/v1/exchange/margin-mode Set exchange margin mode post /api/v1/exchange/cancel-order Cancel one live exchange order post /api/v1/exchange/cancel-orders Bulk-cancel live exchange orders post /api/v1/terminal/place-order Place a terminal order (async ack) post /api/v1/terminal/cancel-order Cancel a resting terminal order